Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!

Bug 314241

Summary: dev-php5/pecl-imagick should depend on || (media-gfx/imagemagick media-gfx/graphicsmagick[imagemagick])
Product: Gentoo Linux Reporter: Wojciech Porczyk <wojciech>
Component: New packagesAssignee: PHP Bugs <php-bugs>
Status: RESOLVED WONTFIX    
Severity: normal    
Priority: High    
Version: unspecified   
Hardware: All   
OS: Linux   
Whiteboard:
Package list:
Runtime testing required: ---
Bug Depends on:    
Bug Blocks: 314431    

Description Wojciech Porczyk 2010-04-09 21:32:42 UTC
GraphicsMagick is a replacement for ImageMagick. Now dev-php5/pecl-imagick depends only on media-gfx/imagemagick.
Comment 1 Thomas Kahle (RETIRED) gentoo-dev 2010-04-11 23:41:09 UTC
Please see also the discussion on a virtual package in the tracker bug.
Comment 2 Matti Bickel (RETIRED) gentoo-dev 2010-06-18 21:26:12 UTC
Upstream specifically disclaims GraphicsMagick support (see config.m4) and will not configure correctly when GraphicsMagick is installed. So I refuse to change the DEPEND at all.